
QGIS Application - Bug report #7940

output selection dialog crash

2013-05-29 10:29 PM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16808

Description

In several vector dialogs (join attributes by location, singleparts to multiparts, extract nodes, etc. seems to be all), when I click on browse

to define the output shapefile, QGIS crashes as soon as I click on a folder.

Ubuntu 12.04

see attached video.

History

#1 - 2013-05-29 10:31 PM - Denis Rouzaud

- Status changed from Closed to Reopened

#2 - 2013-06-02 02:11 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

does not happens here on the same platform, is confirmed?

#3 - 2013-06-02 10:11 PM - Denis Rouzaud

Well, on my side I confirm.

#4 - 2013-06-06 09:06 AM - Regis Haubourg

Not confirmed here on osgeo4w with extract nodes

#5 - 2013-06-07 04:02 AM - Matthias Kuhn

Works fine here on Fedora 18 / master (Debug) as well.

#6 - 2013-06-13 12:55 AM - Denis Rouzaud

any idea what to look for? 

is it a problem of my OS? Although, I only experience this in QGIS. Qt related?
#7 - 2013-06-13 02:32 AM - Giovanni Manghi

Denis Rouzaud wrote:

any idea what to look for? 

is it a problem of my OS? Although, I only experience this in QGIS. Qt related?

to start can't you try on anther box/virtual machine, so we can confirm is a local issue?

#8 - 2013-06-20 04:38 AM - Denis Rouzaud

I have noticed the same bug in Qt Designer. So it should not b QGIS specific. But very weird though, and very annyoing too!

#9 - 2013-06-21 12:40 AM - Matthias Kuhn

- Status changed from Feedback to Closed

Closing this, as it seems not to be QGIS specific.

If somebody else confirms or you have evidence, that it is QGIS related, please reopen.

Files

crash-select-output-shapefile.ogv 804 KB 2013-05-29 Denis Rouzaud
